const VERSION = 0.1;
var DEBUG = true;

//------------------------------------------------------------------------------

function fehler(fehler, datei, zeile) {
  alert("Fehler: "+fehler+"\nDatei: "+datei+"\nZeile: "+zeile);
}

if (DEBUG) window.onerror=fehler; else delete window.onerror;

//------------------------------------------------------------------------------

function print (text="") { document.write(text); }
function println (text="") { document.write(text+"</br>"); }
function printp (text="") { document.write("<p>"+text+"</p>"); }
function printpln (text="") { document.write("<p>"+text+"</br></p>"); }

//------------------------------------------------------------------------------

function handleEvent(id, ereignis, funktion)
{
   if (ereignis.toLowerCase().startsWith("return")) handleEventReturnKey(id, funktion);
   if(window.addEventListener)
      document.getElementById(id)
         .addEventListener(ereignis, funktion, false);
   else if(window.attachEvent)
      document.getElementById(id)
         .attachEvent("on" + ereignis, funktion);
}

//
// handleEvent("idSenden","returnKey",mySubmit);
// handleEventReturnKey("idSenden",mySubmit);
// Eingabefeld reagiert auf Return-Taste
//


function handleEventReturnKey(id, funktion) {
   var ereignis = "keypress";
   if(window.addEventListener)
      document.getElementById(id)
         .addEventListener(ereignis,function (e) {_searchByKey(e,funktion);}, false);
   else if(window.attachEvent)
      document.getElementById(id)
         .attachEvent("on" + ereignis, function (e) {_searchByKey(e,funktion);});
}


function _searchByKey(e, funktion) {
    if (e.keyCode == 13) {
        funktion();
        return false;
    }
}


//------------------------------------------------------------------------------


